Subject: Re: iTIP REPLY question

From: "Jay Parker" <[email-masked]>
Date: Thu, 15 May 2003 00:43:20 -0600

>>> [email-masked] 05/06 10:17 AM >>>

<SNIP>
>>  > > How do I access the other CS?
>>  >
>>  > If the ORGANIZER property is a CAP uri, then open a connection
>>  > to that uri.
>> 
>> Will this work for the case where CS's are behind firewalls and thus
not 
>> necessarily exposed to external DNS servers?  
>> 
>> Can you at INET-consulting.com resolve my alice.iris.com CAP server?

>
>If you set your ORGANIZER property value to CAP:alice.iris.com, I
would
>expect to be able to CAP reply to that address.
>
>>  You'll probably get "Unknown host" from your DNS server.  So what 
>> should your CUA do at that point?
>
>I would call you on the phone and tell you you sent me a bogus
>CAP object. Then delete the object from my store.
>
This is where it would be nice to be able to specify both an email
address and a CAP uri for the organizer property.  The CUA could try the
CAP uri and then fall back to the email address after getting the
"Unknown host error"

>I do not see that it is any different than if you set your
>ORGANIZER property value to mailto:[email-masked]. It
>would bounce or not be sent when the MUA/CUA tried to look up the
>MX record for alice.iris.com.
 
The difference is in the probability of seeing the error with each
method.  Our customers rarely expose their calendar stores outside the
firewall, but all of them with whom I've communicated have a valid email
address.

>
>
>-- 
>
>  Doug Royer                     |   http://INET-Consulting.com 
>  -------------------------------|-----------------------------
>  [email-masked]                 | Office: (208)612-INET
>  http://Royer.com/People/Doug   |    Fax: (866)594-8574
>                                 |   Cell: (208)520-4044
>
>                 We Do Standards - You Need Standards
>

---

From: Doug Royer <[email-masked]>
Date: Thu, 15 May 2003 14:08:10 -0600

> CAP uri and then fall back to the email address after getting the 

For any known UPN that can authenticate to your system, your calendar
administrator would have created or allowed them to create an account.
You could require their e-mail address at the time of registration,
verified by an auto reply scripts. Now just map them to their
registration information (I use their email address as their UPN).
The same is true for their CAP url, ask for it and if they have one,
test it at registration time.

> firewall, but all of them with whom I've communicated have a valid email 

True but the problem is the same. Ether the host is visable, not visable,
known, or not known. In Bruces example he compared a visable and known
MX host to an invisable and unknown CAP host. Not an apples to apples
comparison. If I set my MX record to an invisable host or to a not
known host, I would not get email replies - same problem - so don't
do that.

--